Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mybytecode
Class JVMCode

    java.lang.Object
      mycompiler.mybytecode.JVMCode

    public class JVMCode

extends java.lang.Object

Field Summary
`static java.lang.Byte` | `aaload`
`static java.lang.Byte` | `aastore`
`static java.lang.Byte` | `aconst_null`
`static java.lang.Byte` | `aload`
`static java.lang.Byte` | `aload_0`
`static java.lang.Byte` | `aload_1`
`static java.lang.Byte` | `aload_2`
`static java.lang.Byte` | `aload_3`
`static java.lang.Byte` | `anewarray`
`static java.lang.Byte` | `areturn`
`static java.lang.Byte` | `arraylength`
`static java.lang.Byte` | `astore`
`static java.lang.Byte` | `astore_0`
`static java.lang.Byte` | `astore_1`
`static java.lang.Byte` | `astore_2`
`static java.lang.Byte` | `astore_3`
`static java.lang.Byte` | `athrow`
`static java.lang.Byte` | `baload`
`static java.lang.Byte` | `bastore`
`static java.lang.Byte` | `bipush`
`static java.lang.Byte` | `breakpoint`
`static java.lang.Byte` | `caload`
`static java.lang.Byte` | `castore`
`static java.lang.Byte` | `checkcast`
`static byte` | `CONSTANT_Class`
`static byte` | `CONSTANT_Double`
`static byte` | `CONSTANT_Fieldref`
`static byte` | `CONSTANT_Float`
`static byte` | `CONSTANT_Integer`
`static byte` | `CONSTANT_InterfaceMethodref`
`static byte` | `CONSTANT_Long`
`static byte` | `CONSTANT_Methodref`
`static byte` | `CONSTANT_NameAndType`
`static byte` | `CONSTANT_String`
`static byte` | `CONSTANT_Utf8`
`static java.lang.Byte` | `d2f`
`static java.lang.Byte` | `d2i`
`static java.lang.Byte` | `d2l`
`static java.lang.Byte` | `dadd`
`static java.lang.Byte` | `daload`
`static java.lang.Byte` | `dastore`
`static java.lang.Byte` | `dcmpg`
`static java.lang.Byte` | `dcmpl`
`static java.lang.Byte` | `dconst_0`
`static java.lang.Byte` | `dconst_1`
`static java.lang.Byte` | `ddiv`
`static java.lang.Byte` | `dload`
`static java.lang.Byte` | `dload_0`
`static java.lang.Byte` | `dload_1`
`static java.lang.Byte` | `dload_2`
`static java.lang.Byte` | `dload_3`
`static java.lang.Byte` | `dmul`
`static java.lang.Byte` | `dneg`
`static java.lang.Byte` | `drem`
`static java.lang.Byte` | `dreturn`
`static java.lang.Byte` | `dstore`
`static java.lang.Byte` | `dstore_0`
`static java.lang.Byte` | `dstore_1`
`static java.lang.Byte` | `dstore_2`
`static java.lang.Byte` | `dstore_3`
`static java.lang.Byte` | `dsub`
`static java.lang.Byte` | `dup`
`static java.lang.Byte` | `dup_x1`
`static java.lang.Byte` | `dup_x2`
`static java.lang.Byte` | `dup2`
`static java.lang.Byte` | `dup2_x1`
`static java.lang.Byte` | `dup2_x2`
`static java.lang.Byte` | `f2d`
`static java.lang.Byte` | `f2i`
`static java.lang.Byte` | `f2l`
`static java.lang.Byte` | `fadd`
`static java.lang.Byte` | `faload`
`static java.lang.Byte` | `fastore`
`static java.lang.Byte` | `fcmpg`
`static java.lang.Byte` | `fcmpl`
`static java.lang.Byte` | `fconst_0`
`static java.lang.Byte` | `fconst_1`
`static java.lang.Byte` | `fconst_2`
`static java.lang.Byte` | `fdiv`
`static java.lang.Byte` | `fload`
`static java.lang.Byte` | `fload_0`
`static java.lang.Byte` | `fload_1`
`static java.lang.Byte` | `fload_2`
`static java.lang.Byte` | `fload_3`
`static java.lang.Byte` | `fmul`
`static java.lang.Byte` | `fneg`
`static java.lang.Byte` | `frem`
`static java.lang.Byte` | `freturn`
`static java.lang.Byte` | `fstore`
`static java.lang.Byte` | `fstore_0`
`static java.lang.Byte` | `fstore_1`
`static java.lang.Byte` | `fstore_2`
`static java.lang.Byte` | `fstore_3`
`static java.lang.Byte` | `fsub`
`static java.lang.Byte` | `getfield`
`static java.lang.Byte` | `getstatic`
`static java.lang.Byte` | `goto_`
`static java.lang.Byte` | `goto_w`
`static boolean` | `hamaDebug`
`static java.lang.Byte` | `i2b`
`static java.lang.Byte` | `i2c`
`static java.lang.Byte` | `i2d`
`static java.lang.Byte` | `i2f`
`static java.lang.Byte` | `i2l`
`static java.lang.Byte` | `i2s`
`static java.lang.Byte` | `iadd`
`static java.lang.Byte` | `iaload`
`static java.lang.Byte` | `iand`
`static java.lang.Byte` | `iastore`
`static java.lang.Byte` | `iconst_0`
`static java.lang.Byte` | `iconst_1`
`static java.lang.Byte` | `iconst_2`
`static java.lang.Byte` | `iconst_3`
`static java.lang.Byte` | `iconst_4`
`static java.lang.Byte` | `iconst_5`
`static java.lang.Byte` | `iconst_m1`
`static java.lang.Byte` | `idiv`
`static java.lang.Byte` | `if_acmpeq`
`static java.lang.Byte` | `if_acmpne`
`static java.lang.Byte` | `if_icmpeq`
`static java.lang.Byte` | `if_icmpge`
`static java.lang.Byte` | `if_icmpgt`
`static java.lang.Byte` | `if_icmple`
`static java.lang.Byte` | `if_icmplt`
`static java.lang.Byte` | `if_icmpne`
`static java.lang.Byte` | `ifeq`
`static java.lang.Byte` | `ifge`
`static java.lang.Byte` | `ifgt`
`static java.lang.Byte` | `ifle`
`static java.lang.Byte` | `iflt`
`static java.lang.Byte` | `ifne`
`static java.lang.Byte` | `ifnonnull`
`static java.lang.Byte` | `ifnull`
`static java.lang.Byte` | `iinc`
`static java.lang.Byte` | `iload`
`static java.lang.Byte` | `iload_0`
`static java.lang.Byte` | `iload_1`
`static java.lang.Byte` | `iload_2`
`static java.lang.Byte` | `iload_3`
`static java.lang.Byte` | `impdep1`
`static java.lang.Byte` | `impdep2`
`static java.lang.Byte` | `imul`
`static java.lang.Byte` | `ineg`
`static java.lang.Byte` | `instanceof_`
`static java.lang.Byte` | `invokeinterface`
`static java.lang.Byte` | `invokespecial`
`static java.lang.Byte` | `invokestatic`
`static java.lang.Byte` | `invokevirtual`
`static java.lang.Byte` | `ior`
`static java.lang.Byte` | `irem`
`static java.lang.Byte` | `ireturn`
`static java.lang.Byte` | `ishl`
`static java.lang.Byte` | `ishr`
`static java.lang.Byte` | `istore`
`static java.lang.Byte` | `istore_0`
`static java.lang.Byte` | `istore_1`
`static java.lang.Byte` | `istore_2`
`static java.lang.Byte` | `istore_3`
`static java.lang.Byte` | `isub`
`static java.lang.Byte` | `iushr`
`static java.lang.Byte` | `ixor`
`static java.lang.Byte` | `jsr`
`static java.lang.Byte` | `jsr_w`
`static java.lang.Byte` | `l2d`
`static java.lang.Byte` | `l2f`
`static java.lang.Byte` | `l2i`
`static java.lang.Byte` | `ladd`
`static java.lang.Byte` | `laload`
`static java.lang.Byte` | `land`
`static java.lang.Byte` | `lastore`
`static java.lang.Byte` | `lcmp`
`static java.lang.Byte` | `lconst_0`
`static java.lang.Byte` | `lconst_1`
`static java.lang.Byte` | `ldc`
`static java.lang.Byte` | `ldc_w`
`static java.lang.Byte` | `ldc2_w`
`static java.lang.Byte` | `ldiv`
`static java.lang.Byte` | `lload`
`static java.lang.Byte` | `lload_0`
`static java.lang.Byte` | `lload_1`
`static java.lang.Byte` | `lload_2`
`static java.lang.Byte` | `lload_3`
`static java.lang.Byte` | `lmul`
`static java.lang.Byte` | `lneg`
`static java.lang.Byte` | `lookupswitch`
`static java.lang.Byte` | `lor`
`static java.lang.Byte` | `lrem`
`static java.lang.Byte` | `lreturn`
`static java.lang.Byte` | `lshl`
`static java.lang.Byte` | `lshr`
`static java.lang.Byte` | `lstore`
`static java.lang.Byte` | `lstore_0`
`static java.lang.Byte` | `lstore_1`
`static java.lang.Byte` | `lstore_2`
`static java.lang.Byte` | `lstore_3`
`static java.lang.Byte` | `lsub`
`static java.lang.Byte` | `lushr`
`static java.lang.Byte` | `lxor`
`static java.lang.Byte` | `monitorenter`
`static java.lang.Byte` | `monitorexit`
`static java.lang.Byte` | `multianewarray`
`static java.lang.Byte` | `new_`
`static java.lang.Byte` | `newarray`
`static java.lang.Byte` | `nop`
`static java.lang.Byte` | `pop`
`static java.lang.Byte` | `pop2`
`static java.lang.Byte` | `putfield`
`static java.lang.Byte` | `putstatic`
`static java.lang.Byte` | `ret`
`static java.lang.Byte` | `return_`
`static java.lang.Byte` | `saload`
`static java.lang.Byte` | `sastore`
`static java.lang.Byte` | `sipush`
`static java.lang.Byte` | `swap`
`static java.lang.Byte` | `tableswitch`
`static java.lang.Byte` | `wide`

Constructor Summary
`JVMCode()`

Method Summary
`static int` | `bytes_to_int(java.lang.Byte b)`
`static int` | `bytes_to_int(java.lang.Byte b1, java.lang.Byte b0)`
`static int` | `bytes_to_int(java.lang.Byte b3, java.lang.Byte b2, java.lang.Byte b1, java.lang.Byte b0)`
`static java.lang.String` | `get_codegen_Type(java.lang.String type, de.dhbwstuttgart.typeinference.Menge paralist)`
`static void` | `get_Command(de.dhbwstuttgart.typeinference.Menge b)`
`static int` | `get_nType(java.lang.String type)`
`static java.lang.Byte` | `if_ncmpeq(java.lang.String s)`
`static java.lang.Byte` | `if_ncmpne(java.lang.String s)`
`static java.lang.Byte` | `n2n(java.lang.String s1, java.lang.String s2)`
`static java.lang.Byte` | `nadd(java.lang.String s)`
`static java.lang.Byte` | `naload(java.lang.String s)`
`static java.lang.Byte` | `nand(java.lang.String s)`
`static java.lang.Byte` | `nastore(java.lang.String s)`
`static java.lang.Byte` | `ncmpg(java.lang.String s)`
`static java.lang.Byte` | `ncmpl(java.lang.String s)`
`static java.lang.Byte` | `nconst_n(java.lang.String s1, int n2)`
`static java.lang.Byte` | `ndiv(java.lang.String s)`
`static java.lang.Byte` | `nload_n(java.lang.String s1, int n2)`
`static java.lang.Byte` | `nload(java.lang.String s)`
`static java.lang.Byte` | `nmul(java.lang.String s)`
`static java.lang.Byte` | `nneg(java.lang.String s)`
`static java.lang.Byte` | `nor(java.lang.String s)`
`static java.lang.Byte` | `nrem(java.lang.String s)`
`static java.lang.Byte` | `nreturn(java.lang.String s)`
`static java.lang.Byte` | `nshl(java.lang.String s)`
`static java.lang.Byte` | `nshr(java.lang.String s)`
`static java.lang.Byte` | `nstore_n(java.lang.String s1, int n2)`
`static java.lang.Byte` | `nstore(java.lang.String s)`
`static java.lang.Byte` | `nsub(java.lang.String s)`
`static java.lang.Byte` | `nushr(java.lang.String s)`
`static java.lang.Byte` | `nxor(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hamaDebug

    public static boolean hamaDebug

### CONSTANT_Utf8

    public static byte CONSTANT_Utf8

### CONSTANT_Integer

    public static byte CONSTANT_Integer

### CONSTANT_Float

    public static byte CONSTANT_Float

### CONSTANT_Long

    public static byte CONSTANT_Long

### CONSTANT_Double

    public static byte CONSTANT_Double

### CONSTANT_Class

    public static byte CONSTANT_Class

### CONSTANT_String

    public static byte CONSTANT_String

### CONSTANT_Fieldref

    public static byte CONSTANT_Fieldref

### CONSTANT_Methodref

    public static byte CONSTANT_Methodref

### CONSTANT_InterfaceMethodref

    public static byte CONSTANT_InterfaceMethodref

### CONSTANT_NameAndType

    public static byte CONSTANT_NameAndType

### nop

    public static java.lang.Byte nop

### aconst_null

    public static java.lang.Byte aconst_null

### iconst_m1

    public static java.lang.Byte iconst_m1

### iconst_0

    public static java.lang.Byte iconst_0

### iconst_1

    public static java.lang.Byte iconst_1

### iconst_2

    public static java.lang.Byte iconst_2

### iconst_3

    public static java.lang.Byte iconst_3

### iconst_4

    public static java.lang.Byte iconst_4

### iconst_5

    public static java.lang.Byte iconst_5

### lconst_0

    public static java.lang.Byte lconst_0

### lconst_1

    public static java.lang.Byte lconst_1

### fconst_0

    public static java.lang.Byte fconst_0

### fconst_1

    public static java.lang.Byte fconst_1

### fconst_2

    public static java.lang.Byte fconst_2

### dconst_0

    public static java.lang.Byte dconst_0

### dconst_1

    public static java.lang.Byte dconst_1

### bipush

    public static java.lang.Byte bipush

### sipush

    public static java.lang.Byte sipush

### ldc

    public static java.lang.Byte ldc

### ldc_w

    public static java.lang.Byte ldc_w

### ldc2_w

    public static java.lang.Byte ldc2_w

### iload

    public static java.lang.Byte iload

### lload

    public static java.lang.Byte lload

### fload

    public static java.lang.Byte fload

### dload

    public static java.lang.Byte dload

### aload

    public static java.lang.Byte aload

### iload_0

    public static java.lang.Byte iload_0

### iload_1

    public static java.lang.Byte iload_1

### iload_2

    public static java.lang.Byte iload_2

### iload_3

    public static java.lang.Byte iload_3

### lload_0

    public static java.lang.Byte lload_0

### lload_1

    public static java.lang.Byte lload_1

### lload_2

    public static java.lang.Byte lload_2

### lload_3

    public static java.lang.Byte lload_3

### fload_0

    public static java.lang.Byte fload_0

### fload_1

    public static java.lang.Byte fload_1

### fload_2

    public static java.lang.Byte fload_2

### fload_3

    public static java.lang.Byte fload_3

### dload_0

    public static java.lang.Byte dload_0

### dload_1

    public static java.lang.Byte dload_1

### dload_2

    public static java.lang.Byte dload_2

### dload_3

    public static java.lang.Byte dload_3

### aload_0

    public static java.lang.Byte aload_0

### aload_1

    public static java.lang.Byte aload_1

### aload_2

    public static java.lang.Byte aload_2

### aload_3

    public static java.lang.Byte aload_3

### iaload

    public static java.lang.Byte iaload

### laload

    public static java.lang.Byte laload

### faload

    public static java.lang.Byte faload

### daload

    public static java.lang.Byte daload

### aaload

    public static java.lang.Byte aaload

### baload

    public static java.lang.Byte baload

### caload

    public static java.lang.Byte caload

### saload

    public static java.lang.Byte saload

### istore

    public static java.lang.Byte istore

### lstore

    public static java.lang.Byte lstore

### fstore

    public static java.lang.Byte fstore

### dstore

    public static java.lang.Byte dstore

### astore

    public static java.lang.Byte astore

### istore_0

    public static java.lang.Byte istore_0

### istore_1

    public static java.lang.Byte istore_1

### istore_2

    public static java.lang.Byte istore_2

### istore_3

    public static java.lang.Byte istore_3

### lstore_0

    public static java.lang.Byte lstore_0

### lstore_1

    public static java.lang.Byte lstore_1

### lstore_2

    public static java.lang.Byte lstore_2

### lstore_3

    public static java.lang.Byte lstore_3

### fstore_0

    public static java.lang.Byte fstore_0

### fstore_1

    public static java.lang.Byte fstore_1

### fstore_2

    public static java.lang.Byte fstore_2

### fstore_3

    public static java.lang.Byte fstore_3

### dstore_0

    public static java.lang.Byte dstore_0

### dstore_1

    public static java.lang.Byte dstore_1

### dstore_2

    public static java.lang.Byte dstore_2

### dstore_3

    public static java.lang.Byte dstore_3

### astore_0

    public static java.lang.Byte astore_0

### astore_1

    public static java.lang.Byte astore_1

### astore_2

    public static java.lang.Byte astore_2

### astore_3

    public static java.lang.Byte astore_3

### iastore

    public static java.lang.Byte iastore

### lastore

    public static java.lang.Byte lastore

### fastore

    public static java.lang.Byte fastore

### dastore

    public static java.lang.Byte dastore

### aastore

    public static java.lang.Byte aastore

### bastore

    public static java.lang.Byte bastore

### castore

    public static java.lang.Byte castore

### sastore

    public static java.lang.Byte sastore

### pop

    public static java.lang.Byte pop

### pop2

    public static java.lang.Byte pop2

### dup

    public static java.lang.Byte dup

### dup_x1

    public static java.lang.Byte dup_x1

### dup_x2

    public static java.lang.Byte dup_x2

### dup2

    public static java.lang.Byte dup2

### dup2_x1

    public static java.lang.Byte dup2_x1

### dup2_x2

    public static java.lang.Byte dup2_x2

### swap

    public static java.lang.Byte swap

### iadd

    public static java.lang.Byte iadd

### ladd

    public static java.lang.Byte ladd

### fadd

    public static java.lang.Byte fadd

### dadd

    public static java.lang.Byte dadd

### isub

    public static java.lang.Byte isub

### lsub

    public static java.lang.Byte lsub

### fsub

    public static java.lang.Byte fsub

### dsub

    public static java.lang.Byte dsub

### imul

    public static java.lang.Byte imul

### lmul

    public static java.lang.Byte lmul

### fmul

    public static java.lang.Byte fmul

### dmul

    public static java.lang.Byte dmul

### idiv

    public static java.lang.Byte idiv

### ldiv

    public static java.lang.Byte ldiv

### fdiv

    public static java.lang.Byte fdiv

### ddiv

    public static java.lang.Byte ddiv

### irem

    public static java.lang.Byte irem

### lrem

    public static java.lang.Byte lrem

### frem

    public static java.lang.Byte frem

### drem

    public static java.lang.Byte drem

### ineg

    public static java.lang.Byte ineg

### lneg

    public static java.lang.Byte lneg

### fneg

    public static java.lang.Byte fneg

### dneg

    public static java.lang.Byte dneg

### ishl

    public static java.lang.Byte ishl

### lshl

    public static java.lang.Byte lshl

### ishr

    public static java.lang.Byte ishr

### lshr

    public static java.lang.Byte lshr

### iushr

    public static java.lang.Byte iushr

### lushr

    public static java.lang.Byte lushr

### iand

    public static java.lang.Byte iand

### land

    public static java.lang.Byte land

### ior

    public static java.lang.Byte ior

### lor

    public static java.lang.Byte lor

### ixor

    public static java.lang.Byte ixor

### lxor

    public static java.lang.Byte lxor

### iinc

    public static java.lang.Byte iinc

### i2l

    public static java.lang.Byte i2l

### i2f

    public static java.lang.Byte i2f

### i2d

    public static java.lang.Byte i2d

### l2i

    public static java.lang.Byte l2i

### l2f

    public static java.lang.Byte l2f

### l2d

    public static java.lang.Byte l2d

### f2i

    public static java.lang.Byte f2i

### f2l

    public static java.lang.Byte f2l

### f2d

    public static java.lang.Byte f2d

### d2i

    public static java.lang.Byte d2i

### d2l

    public static java.lang.Byte d2l

### d2f

    public static java.lang.Byte d2f

### i2b

    public static java.lang.Byte i2b

### i2c

    public static java.lang.Byte i2c

### i2s

    public static java.lang.Byte i2s

### lcmp

    public static java.lang.Byte lcmp

### fcmpl

    public static java.lang.Byte fcmpl

### fcmpg

    public static java.lang.Byte fcmpg

### dcmpl

    public static java.lang.Byte dcmpl

### dcmpg

    public static java.lang.Byte dcmpg

### ifeq

    public static java.lang.Byte ifeq

### ifne

    public static java.lang.Byte ifne

### iflt

    public static java.lang.Byte iflt

### ifge

    public static java.lang.Byte ifge

### ifgt

    public static java.lang.Byte ifgt

### ifle

    public static java.lang.Byte ifle

### if_icmpeq

    public static java.lang.Byte if_icmpeq

### if_icmpne

    public static java.lang.Byte if_icmpne

### if_icmplt

    public static java.lang.Byte if_icmplt

### if_icmpge

    public static java.lang.Byte if_icmpge

### if_icmpgt

    public static java.lang.Byte if_icmpgt

### if_icmple

    public static java.lang.Byte if_icmple

### if_acmpeq

    public static java.lang.Byte if_acmpeq

### if_acmpne

    public static java.lang.Byte if_acmpne

### goto_

    public static java.lang.Byte goto_

### jsr

    public static java.lang.Byte jsr

### ret

    public static java.lang.Byte ret

### tableswitch

    public static java.lang.Byte tableswitch

### lookupswitch

    public static java.lang.Byte lookupswitch

### ireturn

    public static java.lang.Byte ireturn

### lreturn

    public static java.lang.Byte lreturn

### freturn

    public static java.lang.Byte freturn

### dreturn

    public static java.lang.Byte dreturn

### areturn

    public static java.lang.Byte areturn

### return_

    public static java.lang.Byte return_

### getstatic

    public static java.lang.Byte getstatic

### putstatic

    public static java.lang.Byte putstatic

### getfield

    public static java.lang.Byte getfield

### putfield

    public static java.lang.Byte putfield

### invokevirtual

    public static java.lang.Byte invokevirtual

### invokespecial

    public static java.lang.Byte invokespecial

### invokestatic

    public static java.lang.Byte invokestatic

### invokeinterface

    public static java.lang.Byte invokeinterface

### new_

    public static java.lang.Byte new_

### newarray

    public static java.lang.Byte newarray

### anewarray

    public static java.lang.Byte anewarray

### arraylength

    public static java.lang.Byte arraylength

### athrow

    public static java.lang.Byte athrow

### checkcast

    public static java.lang.Byte checkcast

### instanceof_

    public static java.lang.Byte instanceof_

### monitorenter

    public static java.lang.Byte monitorenter

### monitorexit

    public static java.lang.Byte monitorexit

### wide

    public static java.lang.Byte wide

### multianewarray

    public static java.lang.Byte multianewarray

### ifnull

    public static java.lang.Byte ifnull

### ifnonnull

    public static java.lang.Byte ifnonnull

### goto_w

    public static java.lang.Byte goto_w

### jsr_w

    public static java.lang.Byte jsr_w

### breakpoint

    public static java.lang.Byte breakpoint

### impdep1

    public static java.lang.Byte impdep1

### impdep2

    public static java.lang.Byte impdep2

Constructor Detail

### JVMCode

    public JVMCode()

Method Detail

### nconst_n

    public static java.lang.Byte nconst_n(java.lang.String s1,
                                          int n2)
                                   throws JVMCodeException

  Throws:
    `JVMCodeException`

### nload

    public static java.lang.Byte nload(java.lang.String s)

### nload_n

    public static java.lang.Byte nload_n(java.lang.String s1,
                                         int n2)
                                  throws JVMCodeException

  Throws:
    `JVMCodeException`

### naload

    public static java.lang.Byte naload(java.lang.String s)
                                 throws JVMCodeException

  Throws:
    `JVMCodeException`

### nstore

    public static java.lang.Byte nstore(java.lang.String s)

### nstore_n

    public static java.lang.Byte nstore_n(java.lang.String s1,
                                          int n2)
                                   throws JVMCodeException

  Throws:
    `JVMCodeException`

### nastore

    public static java.lang.Byte nastore(java.lang.String s)
                                  throws JVMCodeException

  Throws:
    `JVMCodeException`

### nadd

    public static java.lang.Byte nadd(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### nsub

    public static java.lang.Byte nsub(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### nmul

    public static java.lang.Byte nmul(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### ndiv

    public static java.lang.Byte ndiv(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### nrem

    public static java.lang.Byte nrem(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### nneg

    public static java.lang.Byte nneg(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### nshl

    public static java.lang.Byte nshl(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### nshr

    public static java.lang.Byte nshr(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### nushr

    public static java.lang.Byte nushr(java.lang.String s)
                                throws JVMCodeException

  Throws:
    `JVMCodeException`

### nand

    public static java.lang.Byte nand(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### nor

    public static java.lang.Byte nor(java.lang.String s)
                              throws JVMCodeException

  Throws:
    `JVMCodeException`

### nxor

    public static java.lang.Byte nxor(java.lang.String s)
                               throws JVMCodeException

  Throws:
    `JVMCodeException`

### n2n

    public static java.lang.Byte n2n(java.lang.String s1,
                                     java.lang.String s2)
                              throws JVMCodeException

  Throws:
    `JVMCodeException`

### ncmpl

    public static java.lang.Byte ncmpl(java.lang.String s)
                                throws JVMCodeException

  Throws:
    `JVMCodeException`

### ncmpg

    public static java.lang.Byte ncmpg(java.lang.String s)
                                throws JVMCodeException

  Throws:
    `JVMCodeException`

### if_ncmpeq

    public static java.lang.Byte if_ncmpeq(java.lang.String s)
                                    throws JVMCodeException

  Throws:
    `JVMCodeException`

### if_ncmpne

    public static java.lang.Byte if_ncmpne(java.lang.String s)
                                    throws JVMCodeException

  Throws:
    `JVMCodeException`

### nreturn

    public static java.lang.Byte nreturn(java.lang.String s)

### get_nType

    public static int get_nType(java.lang.String type)

### get_codegen_Type

    public static java.lang.String get_codegen_Type(java.lang.String type,
                                                    de.dhbwstuttgart.typeinference.Menge paralist)

### get_Command

    public static void get_Command(de.dhbwstuttgart.typeinference.Menge b)
                            throws JVMCodeException

  Throws:
    `JVMCodeException`

### bytes_to_int

    public static int bytes_to_int(java.lang.Byte b3,
                                   java.lang.Byte b2,
                                   java.lang.Byte b1,
                                   java.lang.Byte b0)

### bytes_to_int

    public static int bytes_to_int(java.lang.Byte b1,
                                   java.lang.Byte b0)

### bytes_to_int

    public static int bytes_to_int(java.lang.Byte b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD